## Asin
Return the arcsine of the parameter

### Declaration
```glsl
float asin(float x)  
vec2 asin(vec2 x)  
vec3 asin(vec3 x)  
vec4 asin(vec4 x)
```

### Parameters
```x``` specify the value whose arcsine to return.

### Description
```asin()``` returns the angle whose trigonometric sine is ```x```.

<div class="simpleFunction" data="y = asin(x); "></div>

### See Also
[cos](index.html#cos.md), [sin](index.html#sin.md), [acos](index.html#acos.md), [tan](index.html#tan.md), [atan](index.html#atan.md), [Chapter 05: Shaping Functions](../05/)